> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meteora.ag/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vaultall



## OpenAPI

````yaml /developer-guides/stake2earn/api-reference/openapi.json get /vault/all
openapi: 3.0.3
info:
  title: stake_for_fee_keeper
  description: >-
    Stake2Earn indexed read-only API for analytics, vault discovery, vault
    filtering, and vault detail responses.
  license:
    name: ''
  version: 0.1.1
servers:
  - url: https://stake-for-fee-api.meteora.ag
    description: Production
  - url: https://devnet.stake-for-fee-api.meteora.ag
    description: Devnet
security: []
paths:
  /vault/all:
    get:
      tags:
        - vault
      operationId: get_all_vaults
      responses:
        '200':
          description: All indexed Stake2Earn vaults.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VaultsResponse'
components:
  schemas:
    VaultsResponse:
      type: object
      required:
        - total
        - data
      properties:
        total:
          type: integer
          minimum: 0
        data:
          type: array
          items:
            $ref: '#/components/schemas/Vault'
    Vault:
      type: object
      required:
        - vault_address
        - pool_address
        - token_a_mint
        - token_b_mint
        - stake_mint
        - token_a_symbol
        - token_b_symbol
        - total_staked_amount
        - total_staked_amount_usd
        - current_reward_token_a_usd
        - current_reward_token_b_usd
        - current_reward_usd
        - daily_reward_usd
        - created_at_slot
        - created_at_slot_timestamp
        - created_at_tx_sig
        - seconds_to_full_unlock
        - start_fee_distribute_timestamp
        - marketcap
        - flags
      properties:
        vault_address:
          type: string
        pool_address:
          type: string
        token_a_mint:
          type: string
        token_b_mint:
          type: string
        stake_mint:
          type: string
        token_a_symbol:
          type: string
        token_b_symbol:
          type: string
        total_staked_amount:
          type: number
          format: double
        total_staked_amount_usd:
          type: number
          format: double
        current_reward_token_a_usd:
          type: number
          format: double
          description: Vault total reward in USD value for token A.
        current_reward_token_b_usd:
          type: number
          format: double
          description: Vault total reward in USD value for token B.
        current_reward_usd:
          type: number
          format: double
          description: Vault total reward in USD value.
        daily_reward_usd:
          type: number
          format: double
          description: Vault estimated daily reward based on current reward USD.
        created_at_slot:
          type: integer
          format: int64
        created_at_slot_timestamp:
          type: integer
          format: int64
        created_at_tx_sig:
          type: string
        seconds_to_full_unlock:
          type: integer
          format: int64
        start_fee_distribute_timestamp:
          type: integer
          format: int64
        marketcap:
          type: number
          format: double
        flags:
          $ref: '#/components/schemas/VaultFlags'
    VaultFlags:
      type: object
      required:
        - tvl_usd_threshold_reached
        - tvl_usd_threshold
      properties:
        tvl_usd_threshold:
          type: number
          format: double
        tvl_usd_threshold_reached:
          type: boolean

````